<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "mails".
 *
 * @property integer $id
 * @property string $email
 * @property string $title
 * @property string $text
 * @property integer $process
 */
class Mails extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'mails';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['email', 'title', 'text'], 'required'],
            [['text'], 'string'],
            [['process'], 'integer'],
            [['email', 'title'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'email' => 'Email',
            'title' => 'Title',
            'text' => 'Text',
            'process' => 'Process',
        ];
    }
}
